@charset 'UTF-8';

@use '../../node_modules/normalize.css/normalize.css';

$color-white: #ffffff;
$color-black: #000000;

$color-bg: #073b4c;
$color-1: #ef476f;
$color-2: #ffd166;
$color-3: #06d6a0;
$color-4: #118ab2;

$z-index-icons: 1;

$font: arial, helvetica, sans-serif;


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  display: grid;
  place-items: center;
  background-color: $color-bg;
}

.grid {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: clamp(10px, 1.5625vw, 30px);
  max-width: 1500px;
  padding: 0 clamp(30px, 4.12vw, 80px);
  margin: 0 auto;
}

.col-3 {
  grid-column: auto / span 4;
}

.col-2 {
  grid-column: auto / span 6;
}

a {
  display: flex;
  flex-direction: column-reverse;
  grid-column: auto / span 4;
  margin: 0 auto;
  text-decoration: none;

  &:hover {
    svg {
      transform: scale(1);
    }

    path:not(.clip) {
      fill: $color-1;
    }

    span {
      opacity: .5;
      transform: translateY(0);
    }
  }
}

svg {
  height: clamp(70px, 10.4vw, 200px);
  transform: scale(.9);
  z-index: $z-index-icons;
  transition: transform .3s;

  path {
    fill: $color-3;
    transition: fill .3s;
  }

  .clip {
    fill: $color-bg;
  }
}

span {
  font-family: $font;
  font-size: clamp(18px, 4.8vw, 100px);
  font-weight: 700;
  color: $color-4;
  margin-bottom: clamp(-40px, -2.1vw, -20px);
  opacity: 0;
  transform: translateY(15px);
  transition-property: opacity, transform;
  transition-duration: .3s;
  transition-delay: .1s;
}
